blob: 7632adf739eb4b7c3d7872b2b30852325cd9e18a (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
|
Don't overwhelm console with test output...
--- a/test.sh
+++ b/test.sh
@@ -24,7 +24,11 @@
for i in test/test*.lua
do
- "$lua" "$i"
+ "$lua" "$i" > "${i%.lua}.out" 2>&1 || {
+ echo "Tests failed, printing last 30 lines of the output..."
+ tail -n 30 "${i%.lua}.out"
+ exit 1
+ }
done
mkdir -p out
|